Payoff Plan Calculation
curl --request POST \
--url https://staging.debt-wise.com/api/users/{id}/payment_plans/pre_calculate_payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accounts": [
1
],
"start": 0,
"end": 1000,
"step": 10
}
'import requests
url = "https://staging.debt-wise.com/api/users/{id}/payment_plans/pre_calculate_payments"
payload = {
"accounts": [1],
"start": 0,
"end": 1000,
"step": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accounts: [1], start: 0, end: 1000, step: 10})
};
fetch('https://staging.debt-wise.com/api/users/{id}/payment_plans/pre_calculate_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"avalanche": {},
"snowball": {}
}{
"error": {
"code": "account_information_missing",
"message": "Accounts with id: [1] are missing APR or minimum payment."
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Debt Payoff Plan
Payoff Plan Calculation
Calculate payments for payment plan based extra payment amount
POST
/
api
/
users
/
{id}
/
payment_plans
/
pre_calculate_payments
Payoff Plan Calculation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
We can compress a response with gzip.
Example:
"gzip deflate"
API API Version. See Versioning page for more details.
Example:
"2024-07-01"
Path Parameters
An userId.
Example:
1
Body
application/json
Response
Returns a payment plan
Repayment plans based on the avalanche method, where keys represent additional payment amounts (in dollars) added towards debt repayment.
Show child attributes
Show child attributes
Repayment plans based on the snowball method, where keys represent additional payment amounts (in dollars) added towards debt repayment.
Show child attributes
Show child attributes